CREATE TABLE IF NOT EXISTS booked_slot(
    booked_slot_id BIGSERIAL PRIMARY KEY,
    slot_id BIGINT NOT NULL,
    cycle BIGINT NOT NULL,
    FOREIGN KEY (slot_id) REFERENCES slot(slot_id) ON DELETE CASCADE
);


CREATE INDEX idx_slot_slot_id ON booked_slot(slot_id);
CREATE INDEX idx_slot_cycle ON booked_slot(cycle);